<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>show</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="show">
<span id="ext-show"></span>
<h1 class="title">show</h1>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#description" id="toc-entry-1">Description</a><ul>
<li><a class="reference internal" href="#commands" id="toc-entry-2"><tt class="docutils literal">commands</tt></a></li>
</ul>
</li>
<li><a class="reference internal" href="#commands-1" id="toc-entry-3">Commands</a><ul>
<li><a class="reference internal" href="#change-navigation" id="toc-entry-4">Change navigation</a></li>
</ul>
</li>
</ul>
</div>
<p>unified command to show various repository information (EXPERIMENTAL)</p>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>This extension provides the <a class="reference external" href="hg-show.html"><tt class="docutils literal">hg show</tt></a> command, which provides a central
command for displaying commonly-accessed repository data and views of that
data.</p>
<p>The following config options can influence operation.</p>
<div class="section" id="commands">
<h2><a class="toc-backref" href="#contents"><tt class="docutils literal">commands</tt></a></h2>
<dl class="docutils">
<dt><tt class="docutils literal">show.aliasprefix</tt></dt>
<dd><p class="first">List of strings that will register aliases for views. e.g. <tt class="docutils literal">s</tt> will
effectively set config options <tt class="docutils literal">alias.s&lt;view&gt; = show &lt;view&gt;</tt> for all
views. i.e. <cite>hg swork</cite> would execute <cite>hg show work</cite>.</p>
<p class="last">Aliases that would conflict with existing registrations will not be
performed.</p>
</dd>
</dl>
</div>
</div>
<div class="section" id="commands-1">
<h1><a class="toc-backref" href="#contents">Commands</a></h1>
<div class="section" id="change-navigation">
<h2><a class="toc-backref" href="#contents">Change navigation</a></h2>
<div class="section" id="show-1">
<h3>show</h3>
<p>show various repository information:</p>
<pre class="literal-block">
hg show VIEW
</pre>
<p>A requested view of repository data is displayed.</p>
<p>If no view is requested, the list of available views is shown and the
command aborts.</p>
<div class="admonition note">
<p class="first admonition-title">Note</p>
<p>There are no backwards compatibility guarantees for the output of this
command. Output may change in any future Mercurial release.</p>
<p class="last">Consumers wanting stable command output should specify a template via
<tt class="docutils literal"><span class="pre">-T/--template</span></tt>.</p>
</div>
<p>List of available views:</p>
<p>bookmarks   bookmarks and their associated changeset</p>
<p>stack       current line of work</p>
<p>work        changesets that aren't finished</p>
<p>Options:</p>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-T</span>, <span class="option">--template <var>&lt;TEMPLATE&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>display with template</td></tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</body>
</html>
